import { MikroOrmModule } from '@mikro-orm/nestjs';
import { Module } from '@nestjs/common';

import { PostController } from './controllers/post.controller';
import { PostEntity } from './entities/post.entity';
import { PostService } from './services/post.service';

@Module({
    imports: [MikroOrmModule.forFeature({ entities: [PostEntity] })],
    controllers: [PostController],
    providers: [PostService],
    exports: [PostService],
})
export class ContentModule {}
